package com.ruoyi.tcZz.domain;

import com.ruoyi.common.annotation.DataSource;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 词云对象 tc_cy
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("词云对象")
public class TcCy extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "区域id")
    @Excel(name = "区域id")
    private String areaId;

    /** 词云名称 */
    @ApiModelProperty(value = "词云名称")
    @Excel(name = "词云名称")
    private String cyName;

    /** 词云数量 */
    @ApiModelProperty(value = "词云数量")
    @Excel(name = "词云数量")
    private Long cyCount;

}
