package com.ruoyi.tcZz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 *  转办量、转办详情对象 tc_zbxq
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public class TcZbxq extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 区域id */
    @Excel(name = "区域id")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "启用/禁用")
    private Long isStatus;

    /** 舆情标题 */
    @Excel(name = "舆情标题")
    private String yqTitle;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String depName;

    /** 舆情状态 */
    @Excel(name = "舆情状态")
    private String yqState;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setIsStatus(Long isStatus) 
    {
        this.isStatus = isStatus;
    }

    public Long getIsStatus() 
    {
        return isStatus;
    }
    public void setYqTitle(String yqTitle) 
    {
        this.yqTitle = yqTitle;
    }

    public String getYqTitle() 
    {
        return yqTitle;
    }
    public void setDepName(String depName) 
    {
        this.depName = depName;
    }

    public String getDepName() 
    {
        return depName;
    }
    public void setYqState(String yqState) 
    {
        this.yqState = yqState;
    }

    public String getYqState() 
    {
        return yqState;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaId", getAreaId())
            .append("isStatus", getIsStatus())
            .append("yqTitle", getYqTitle())
            .append("depName", getDepName())
            .append("yqState", getYqState())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
